/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "gequel.h"

#include "interface.h"
#include "support.h"

static Params p;
/*
 * Need Params global to be able to force a browser refresh from eg a
 * callback from a record window. Also needed for fileselector callback to
 * obtain application data : latter can either pass the fileselector (for
 * the selected filename) or the Params structure but not both, sigh ...
 *
 * Update : Now solved by linking 2 callbacks after each other !
 * 
 * Don't worry : in all other cases p is obtained as a function argument ;-) 
 */

Params *getParams()
{   
   return &p;
}

void refreshRecordTab()
{
   showRecords(&p);
}

void refreshFieldTab()
{
   showFields(&p);
}

void setSortKey(int row)
{
   p.sortkey = row;
   refreshFieldTab();
}

int
main (int argc, char *argv[])
{
#ifdef USEGTK2
   gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE,
		       argc, argv,
		       GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR,
		       NULL);
#else
   gtk_set_locale ();
   gtk_init (&argc, &argv);
   add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
   add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");
   add_pixmap_directory ("./pixmaps");
   add_pixmap_directory ("/usr/local/include/X11/pixmaps");
#endif
   
   /*
    * The following code was added by Glade to create one of each component
    * (except popup menus), just so that you see something after building
    * the project. Delete any components that you don't want shown initially.
    */
   p.mainwindow = create_mainwindow ();
   gtk_widget_show (p.mainwindow);
   
   /* We can't hook the signals inside glade, because it is necessary that
    the Params structure is hooked up to the user_data argument ! */
   connectMainWindowSignals(p.mainwindow,&p);
   /* Store widgets that we may need later in the Params structure */
   storeWidgets(p.mainwindow,&p);
   /* Set cmdline parameters in GUI (note that mainwindow MUST exist here !) */
   gequelInit(&p, argc, argv);
   
   gtk_main ();
   return 0;
}

