#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "gequel.h"

GtkLabel *getOptionMenuLabel(GtkMenuItem *item, GtkOptionMenu *list)
{
#ifdef USEGTK2
   /* GTK 2.0 method : */
   GtkBin *bin = GTK_BIN(item);
   return GTK_LABEL(bin->child);
#else
   /* GTK 1.2 method : */
   GtkBin *bin = GTK_BIN(list);
   return GTK_LABEL(bin->child);
#endif
}

/* Some NON-GLADE generated callbacks : */
void on_database_activate(GtkMenuItem *item, gpointer  user_data)
{
   char *text;
   Params *p = (Params *)user_data;
   GtkLabel *label = getOptionMenuLabel(item, p->dbaselist);
   
   gtk_label_get(label,&text); /* obtain label text of the selected item */
   ldebug(2,"on_database_activate called\n");
   setNewDatabase((Params *)user_data, text);
}

void on_table_activate(GtkMenuItem *item, gpointer  user_data)
{
   char *text;
   Params *p = (Params *)user_data;
   GtkLabel *label = getOptionMenuLabel(item, p->tablelist);
   
   gtk_label_get(label,&text); /* obtain label text of the selected item */
   ldebug(2,"on_table_activate called\n");
   setNewTable((Params *)user_data, text);
}

